Histories
Returns paginated history items.
Each swap has: token0Id, token1Id, token0Amount, token1Amount, feeTier, fee, volumeInSats etc.
tokenIn/tokenOut = the pair token0/token1 and amounts (direction comes from which side is in/out).
fee is the pool fee (e.g. fee 10000 = 1% tier).
If tokens_eq is true, return tokens with history items.
Query parameters
pagenumberOptionalExample:
Page number (default: 1)
1pageSizenumberOptionalExample:
Number of items per page (default: 10)
10sortstringOptionalExample:
Sort field and order. Use - prefix for descending. Example: -createdAt, createdAt
-createdAtselectstringOptional
Fields to select (comma separated). Use + prefix to include hidden fields. Example: name,status,+holders
populatestringOptional
Relations to populate (comma separated). Example: wallet,token
Responses
200Success
No content
get/api/histories
GET /api/histories HTTP/1.1
Host: api.bound.exchange
Accept: */*
200Success
No content
Last updated